Skip to main content
POST
/
api
/
v0
/
ssh
create ssh-key
curl --request POST \
  --url https://console.vast.ai/api/v0/ssh \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC..."
}
'
import requests

url = "https://console.vast.ai/api/v0/ssh"

payload = { "ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ssh_key: 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC...'})
};

fetch('https://console.vast.ai/api/v0/ssh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "key": {
    "id": 123,
    "user_id": 456,
    "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC...",
    "created_at": "2023-01-01T12:00:00Z",
    "deleted_at": null
  }
}
{
"success": false,
"error": "no_ssh_key",
"msg": "No ssh key provided"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"detail": "API requests too frequent endpoint threshold=1.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
ssh_key
string
required

The public SSH key to add (from .pub file)

Example:

"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC..."

Response

SSH key created successfully

success
boolean
Example:

true

key
object